com.fasterxml.jackson.annotation

## Annotation Type JsonTypeName

    @Target(value={ANNOTATION_TYPE,TYPE})
     @Retention(value=RUNTIME)
    public @interface JsonTypeName

Annotation used for binding logical name that the annotated class has. Used with `JsonTypeInfo` (and specifically its `JsonTypeInfo.use()` property) to establish relationship between type names and types.

Author:
  tatu

### Optional Element Summary

Optional Elements
`String` `value` Logical type name for annotated type.

### Element Detail

#### value

    public abstract String value

Logical type name for annotated type. If missing (or defined as Empty String), defaults to using non-qualified class name as the type.

Default:
  ""